%define libmajor	1
%define libname		%mklibname %{name} %{libmajor}
%define libname_devel	%mklibname %{name} -d

Summary:	Arithmetic of univariate polynomials over arbitrary precision real (Mpfr) or complex (Mpc) numbers
Name:		mpfrcx
Version:	0.6.3
Release:	%mkrel 2
License:	LGPLv3+
Group:		System/Libraries
URL:		https://www.multiprecision.org/mpfrcx
Source0:	https://www.multiprecision.org/downloads/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gmp) >= 4.3.2
BuildRequires:	pkgconfig(mpfr) >= 2.4.2
BuildRequires:	libmpc-devel >= 1.0

%description
Mpfrcx is a library for the arithmetic of univariate polynomials over
arbitrary precision real (Mpfr) or complex (Mpc) numbers, without control
on the rounding. For the time being, only the few functions needed to
implement the floating point approach to complex multiplication are implemented.
On the other hand, these comprise asymptotically fast multiplication routines
such as Toom-Cook and the FFT.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
Mpfrcx is a library for the arithmetic of univariate polynomials over
arbitrary precision real (Mpfr) or complex (Mpc) numbers, without control
on the rounding. For the time being, only the few functions needed to
implement the floating point approach to complex multiplication are implemented.
On the other hand, these comprise asymptotically fast multiplication routines
such as Toom-Cook and the FFT.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for MPFRCX
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for MPFRCX.

%prep
%autosetup -p1

%build
%configure			\
	--enable-shared		\
	--disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
make check

%files -n %{libname}
%license COPYING.LESSER
%doc AUTHORS NEWS README
%{_libdir}/libmpfrcx.so.%{libmajor}{,.*}

%files -n %{libname_devel}
%{_includedir}/mpfrcx.h
%{_infodir}/mpfrcx.info*
%{_libdir}/libmpfrcx.so


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.6.3-2.mga10
+ Revision: 2221774
- Mageia 10 Mass Rebuild
+ daviddavid <daviddavid>
- fix license for LGPLv3

* Mon Apr 01 2024 daviddavid <daviddavid> 0.6.3-1.mga10
+ Revision: 2053526
- new version: 0.6.3 (mga#33041)

* Mon Mar 14 2022 umeabot <umeabot> 0.4.2-5.mga9
+ Revision: 1791010
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.4.2-4.mga8
+ Revision: 1489030
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 0.4.2-3.mga7
+ Revision: 1256804
- remove unused deps on info-install

* Sun Jun 10 2018 wally <wally> 0.4.2-2.mga7
+ Revision: 1236154
- fix build on aarch64

* Tue Feb 20 2018 kekepower <kekepower> 0.4.2-1.mga7
+ Revision: 1203570
- Add patch to fix compilation issues with gcc7
- Update to version 0.4.2

* Tue Feb 02 2016 umeabot <umeabot> 0.4.1-7.mga6
+ Revision: 931987
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-6.mga5
+ Revision: 739624
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.1-5.mga5
+ Revision: 727359
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-4.mga5
+ Revision: 682644
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-3.mga4
+ Revision: 508059
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 360420
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 303286
- drop .la file
- new version 0.4.1
+ blino <blino>
- rebuild to get info pages as xz instead of lzma

* Mon Jan 31 2011 dmorgan <dmorgan> 0.3.1-2.mga1
+ Revision: 45342
- imported package mpfrcx


* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.3.1-2mdv2011.0
+ Revision: 634374
- update url

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.3.1-1
+ Revision: 634350
- new version 0.3.1

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdv2011.0
+ Revision: 612943
- the mass rebuild of 2010.1 packages

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 0.2-2mdv2010.1
+ Revision: 503575
- rebuild for new gmp

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.2-1mdv2010.1
+ Revision: 489834
- Import mpfrcx version 0.2.
- mpfrcx

